Package fr.gouv.vitam.storage.engine.server.storagelog

# Class StorageLogAdministration

java.lang.Object
fr.gouv.vitam.storage.engine.server.storagelog.StorageLogAdministration

public class StorageLogAdministration extends Object
Business class for Storage Log Administration (backup)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `STORAGE_ACCESS_BACKUP`
  `static final String`
  `STORAGE_WRITE_BACKUP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageLogAdministration(StorageLog storageLogService, StorageDistribution distribution, StorageConfiguration configuration)`
  `StorageLogAdministration(StorageLog storageLogService, StorageDistribution distribution, StorageConfiguration configuration, WorkspaceClientFactory workspaceClientFactory, LogbookOperationsClientFactory logbookOperationsClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<StorageLogBackupResult>`
  `backupStorageAccessLog(String strategyId, List<Integer> tenants)`
  `List<StorageLogBackupResult>`
  `backupStorageWriteLog(String strategyId, List<Integer> tenants)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STORAGE_WRITE_BACKUP

    public static final String STORAGE_WRITE_BACKUP
    See Also:
      - Constant Field Values

  - ### STORAGE_ACCESS_BACKUP

    public static final String STORAGE_ACCESS_BACKUP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorageLogAdministration

    public StorageLogAdministration(StorageLog storageLogService, StorageDistribution distribution, StorageConfiguration configuration)

  - ### StorageLogAdministration

    public StorageLogAdministration(StorageLog storageLogService, StorageDistribution distribution, StorageConfiguration configuration, WorkspaceClientFactory workspaceClientFactory, LogbookOperationsClientFactory logbookOperationsClientFactory)

- ## Method Details

  - ### backupStorageWriteLog

    public List<StorageLogBackupResult> backupStorageWriteLog(String strategyId, List<Integer> tenants) throws StorageLogException
    Throws:
      `StorageLogException`

  - ### backupStorageAccessLog

    public List<StorageLogBackupResult> backupStorageAccessLog(String strategyId, List<Integer> tenants) throws StorageLogException
    Throws:
      `StorageLogException`